## datovka 4.3.0

=== debian/changelog ===
datovka (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Jun 2015 14:15:46 +0200

datovka (4.2.3-1) unstable; urgency=medium

  * New upstream version 4.2.3
  * Update Homepage to point at www.datovka.cz
  * Update d/copyright to include nsis datovka-install.template

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 May 2015 09:48:22 +0200

datovka (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Apr 2015 16:51:49 +0200

datovka (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 02 Apr 2015 17:24:26 +0200

datovka (4.2.0-1) unstable; urgency=medium

  * Add qttranslations5-l10n to Depends to add support for l10n
  * New upstream version 4.2.0

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 Mar 2015 15:12:37 +0200

datovka (4.1.2-1) unstable; urgency=medium

  * Add libqt5sql5-sqlite to Depends
  * New upstream version 4.1.2

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Mar 2015 10:47:47 +0100

datovka (4.1.0-1) unstable; urgency=medium

  * Initial release.
  * New upstream version 4.1.0

 -- Ondřej Surý <ondrej@debian.org>  Wed, 28 Jan 2015 16:05:46 +0100

## datovka 4.4.3

=== debian/changelog ===
datovka (4.4.3-1~bpo80+1) jessie-backports; urgency=medium

  * Backport for Jessie (8)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 15 Jan 2016 14:11:42 +0100

datovka (4.4.3-1) unstable; urgency=medium

  * Imported Upstream version 4.4.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Jan 2016 13:01:59 +0100

datovka (4.4.2-1) unstable; urgency=medium

  * Imported Upstream version 4.4.2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Dec 2015 13:44:36 +0100

datovka (4.4.1-1) unstable; urgency=medium

  * Imported Upstream version 4.4.1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 29 Oct 2015 16:17:37 +0100

datovka (4.4.0-1) unstable; urgency=medium

  * Imported Upstream version 4.4.0

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Oct 2015 16:01:49 +0200

datovka (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Jun 2015 10:47:05 +0200

## datovka 4.5.0

=== tests/Makefile ===

TEST_TARGETS = \
	test_01 \
	test_02 \
	test_03 \
	test_04 \
	test_05 \
	test_06 \
	test_07

SHARED_OBJECTS = crypto.o helper.o log_c_stub.o

CPPFLAGS = -I../ -D_BSD_SOURCE -D_POSIX_SOURCE

CFLAGS = -g -O0 -std=c99 -Wall -Wextra -pedantic -fstack-protector

# OpenSSL
CPPFLAGS += $(shell pkg-config --cflags openssl)
LDFLAGS += -lcrypto

.PHONY: all clean help run

all: $(TEST_TARGETS)

help:
	@echo Targets: all clean help run


# Disable implicit rule.
%: %.c


%.o: %.c
	$(CC) -c $< -o $@ $(CPPFLAGS) $(CFLAGS)


crypto.o: ../src/crypto/crypto.c
	$(CC) -c $< -o $@ $(CPPFLAGS) $(CFLAGS)


%: %.o $(SHARED_OBJECTS)
	$(CC) $^ -o $@ $(LDFLAGS)


run: $(TEST_TARGETS)
	@for prog in $^; do \
		./$${prog} 2>/dev/null && echo $${prog} OK || echo $${prog} FAIL; \
	done

clean:
	rm -rf *.o $(TEST_TARGETS)

=== debian/changelog ===
datovka (4.5.0-1) unstable; urgency=medium

  * Imported Upstream version 4.5.0
  * Allow compilation with older Qt5 versions

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2016 14:57:27 +0100

datovka (4.4.3-3) unstable; urgency=medium

  * Revert "Run qmake and lrelease manually to mitigate bug on Ubuntu trusty"
  * Add lrelease generated files into the debian package for later usage

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Feb 2016 14:44:17 +0100

datovka (4.4.3-2) unstable; urgency=medium

  * Run qmake and lrelease manually to mitigate bug on Ubuntu trusty

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Feb 2016 14:06:01 +0100

=== debian/control ===
Source: datovka
Section: x11
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
               libisds-dev,
               libssl-dev,
               libxml2-dev,
               qtbase5-dev,
	       qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: http://www.datovka.cz
Vcs-Git: git://anonscm.debian.org/collab-maint/datovka.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/datovka.git;a=summary

Package: datovka
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
	 libqt5sql5-sqlite,
	 qttranslations5-l10n
Description: Czech Data Boxes client
 Datovka is a rich desktop client to access messages stored in the
 Czech Data Boxes system (databox)
 .
 The client provides access to multiple databoxes from one interface
 and also can be used to store sent and received messages indefinitely
 on a local system.
 .
 It's mostly useful only to a Czech citizens.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=5

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --fail-missing -XAUTHORS -XCOPYING

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://secure.nic.cz/files/datove_schranky/([\d\.]+)/datovka-([\d\.]+)-src\.tar\.xz

## datovka 4.6.0

=== debian/changelog ===
datovka (4.6.0-1) unstable; urgency=medium

  * Imported Upstream version 4.6.0

 -- Ondřej Surý <ondrej@debian.org>  Fri, 15 Apr 2016 14:29:53 +0200

datovka (4.5.3-1) unstable; urgency=medium

  * Imported Upstream version 4.5.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Mar 2016 09:49:12 +0100

datovka (4.5.2-1) unstable; urgency=medium

  * Imported Upstream version 4.5.2

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Mar 2016 13:37:10 +0100

datovka (4.5.1-1) unstable; urgency=medium

  * Imported Upstream version 4.5.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Feb 2016 16:06:27 +0100

## datovka 4.6.1

=== debian/changelog ===
datovka (4.6.1-1) unstable; urgency=medium

  * Imported Upstream version 4.6.1
  * Hard depend on libisds >= 0.10.4 to pull some important bugfixes

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Jul 2016 08:41:53 +0200

## datovka 4.7.0

=== debian/changelog ===
datovka (4.7.0-1) unstable; urgency=medium

  * Imported Upstream version 4.7.0
  * Rebase patches on top of 4.7.0 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Oct 2016 15:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
-               libisds-dev,
+               libisds-dev (>= 0.10.4),
                libssl-dev,
                libxml2-dev,
                qtbase5-dev,
-	       qttools5-dev-tools
+               qttools5-dev-tools
 Standards-Version: 3.9.6
 Homepage: http://www.datovka.cz
 Vcs-Git: git://anonscm.debian.org/collab-maint/datovka.git
@@ -15,10 +15,11 @@
 
 Package: datovka
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-	 libqt5sql5-sqlite,
-	 qttranslations5-l10n
+Depends: libisds5 (>= 0.10.4),
+         libqt5sql5-sqlite,
+         qttranslations5-l10n,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Czech Data Boxes client
  Datovka is a rich desktop client to access messages stored in the
  Czech Data Boxes system (databox)

## datovka 4.7.1

=== debian/changelog ===
datovka (4.7.1-1) unstable; urgency=medium

  * Update d/watch to match the name without -src
  * New upstream version 4.7.1
  * Rebase patches on top of 4.7.1 release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 01 Feb 2017 09:55:17 +0100

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://secure.nic.cz/files/datove_schranky/([\d\.]+)/datovka-([\d\.]+)(-src)?\.tar\.xz

## datovka 4.8.3

=== debian/changelog ===
datovka (4.8.3-2) unstable; urgency=medium

  * Fix the format-security errors

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Jun 2017 13:28:52 +0200

datovka (4.8.3-1) unstable; urgency=medium

  * New upstream version 4.8.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Jun 2017 11:04:12 +0200

datovka (4.8.2-2) unstable; urgency=medium

  * Use qmake flag DISABLE_VERSION_CHECK_BY_DEFAULT=1 to disable upstream
    version check

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Jun 2017 15:18:59 +0200

datovka (4.8.2-1) unstable; urgency=medium

  * New upstream version 4.8.2

 -- Ondřej Surý <ondrej@debian.org>  Sun, 04 Jun 2017 15:02:00 +0200

datovka (4.8.1-1) unstable; urgency=medium

  * Update debian/watch to not include trailing dot in the version
  * New upstream version 4.8.1
  * Never check the upstream version for packaged Datovka

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 May 2017 10:32:59 +0200

datovka (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0

 -- Ondřej Surý <ondrej@debian.org>  Wed, 05 Apr 2017 14:03:05 +0200

## datovka 4.9.3

=== debian/changelog ===
datovka (4.9.3-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:21:14 +0000

datovka (4.9.3-2) unstable; urgency=medium

  * Update czech l10n by running lrelease datovka.pro again

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Sep 2017 15:19:10 +0200

datovka (4.9.3-1) unstable; urgency=medium

  * New upstream version 4.9.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Sep 2017 11:51:30 +0200

datovka (4.9.2-1) unstable; urgency=medium

  * New upstream version 4.9.2
  * Refresh patches for datovka 4.9.2

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Sep 2017 13:28:29 +0200

datovka (4.9.1-1) unstable; urgency=medium

  * New upstream version 4.9.1
  * Bump required version of libisds to 0.10.7
  * Rebase patches on top of Datovka 4.9.1

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Jul 2017 11:34:48 +0200

datovka (4.9.0-1) unstable; urgency=medium

  * New upstream version 4.9.0
  * Remove obsolete patch(es)
  * Add libqt5svg5-dev to Build-Depends
  * Add patch to remove upstream usage of -Wdate-time that breaks Ubuntu 14.04 LTS

 -- Ondřej Surý <ondrej@debian.org>  Mon, 10 Jul 2017 12:45:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: datovka
 Section: x11
 Priority: optional
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
-               libisds-dev (>= 0.10.4),
+               libisds-dev (>= 0.10.7),
+               libqt5svg5-dev,
                libssl-dev,
                libxml2-dev,
                qtbase5-dev,
@@ -15,7 +17,7 @@
 
 Package: datovka
 Architecture: any
-Depends: libisds5 (>= 0.10.4),
+Depends: libisds5 (>= 0.10.7),
          libqt5sql5-sqlite,
          qttranslations5-l10n,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 %:
 	dh $@ 
 
+override_dh_auto_configure:
+	dh_auto_configure -- DISABLE_VERSION_CHECK_BY_DEFAULT=1
+
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://secure.nic.cz/files/datove_schranky/(\d\.\d\.\d)/datovka-(\d\.\d\.\d)\.tar\.xz

## datovka 4.9.3.1%2Brb2

=== debian/changelog ===
datovka (4.9.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Jan 2021 15:50:42 +0800
